#include <bits/stdc++.h>

using namespace std;

int main()
{
    int long long n,p=0;
    double k=0,resenje=0;
    cin>>n;
    pair <double, int long long> niz[n];
    for(int i=0;i<n;i++)
    {
        cin>>niz[i].second;
        cin>>niz[i].first;
    }
    sort(niz, niz+n);
    for(int i=n-1;i>0;i--)
    {
        k=((niz[i].second+p)*niz[i].first)/100;
        p=niz[i].second+p;
        if(k>resenje)
        {
            resenje=k;
        }
    }
    printf("%f",resenje);
    return 0;
}